Bug 157997 - i915 DRM driver missing from x86_64 kernel
i915 DRM driver missing from x86_64 kernel
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-17 14:17 EDT by wingc
Modified: 2015-01-04 17:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 10:34:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wingc 2005-05-17 14:17:06 EDT
Description of problem:

Although the most recent RHEL4 beta xorg-x11 RPM contains the DRI driver
for the i915 chipset, the RHEL4 x86_64 kernel is missing the i915 kernel
module. Manufacturers are currently introducing 64-bit capable PCs with
i915 graphics hardware so the kernel should include the necessary
drivers.

Version-Release number of selected component (if applicable):

RHEL4 x86_64 kernel (2.6.9-5.0.5.EL), as well as most recent RHEL4 beta
(2.6.9-6.37.EL).

How reproducible:

Always

Steps to Reproduce:
1. try to set up accelerated OpenGL
2. note that the i915 kernel module is missing from the RHEL4 x86_64
kernel
  
Actual results:

i915 module is not there.

Expected results:

i915.ko should be there

Additional info:



The reason why the DRM module is not built is due to the following in
the kernel source:
                                                                                
----- drivers/char/drm/Kconfig -----
choice
        prompt "Intel 830M, 845G, 852GM, 855GM, 865G"
        depends on DRM && AGP && AGP_INTEL
        optional
                                                                                
config DRM_I830
        .....
                                                                                
config DRM_I915
        .....



CONFIG_AGP_INTEL is currently not set for the x86_64 kernel. I created a
separate bug for this, bug #157991.

If this is resolved in a future RHEL4 release by enabling the intel-agp driver
on x86_64, then this problem will be solved. Otherwise you will need to edit
drivers/char/drm/Kconfig manually to remove the dependency on CONFIG_AGP_INTEL
so that the i915 driver will get built.


I built the i915 drm, from the standard RHEL4 kernel sources (NOT a newer i915
module from newer sources), and I can confirm that it works properly and
provides accelerated OpenGL on x86_64. (pre-production Dell GX620, with onboard
i945G graphics, x86_64)

I did not test the i830 driver on x86_64, I do not have any such hardware.
Comment 1 wingc 2005-05-17 16:44:42 EDT
See also the related bugs:
                                                                                
bug #157991 (intel-agp driver needed on x86_64)
bug #157995 (support i945G host bridge in intel-agp driver)
bug #158000 (support i945G integrated graphics in i915 DRM kernel module)
bug #158014 (support i945G integrated graphics in xorg-x11 i810 driver)
bug #158015 (support i945G integrated graphics in i915 DRI driver)
bug #158016 (disable debugging output to stderr in i915 DRI driver, x86_64)
                                                                                
Taken as a series, when these are all resolved it will be possible to get
working OpenGL acceleration in RHEL4 for the i945G integrated graphics chipset
on x86_64.
Comment 4 Suzanne Hillman 2005-05-19 10:34:06 EDT
In order to file a RHEL feature request, please either contact Red Hat's
Technical Support line at 888-REDHAT-1 or file a web ticket at
http://www.redhat.com/apps/support/.  Bugzilla is not an official support
channel, has no response guarantees, and may not route your request to the
correct area to assist you.  Using the official support channels above will
guarantee that your issue is handled appropriately and routed to the
individual or group which can best assist you with this issue and will also
allow Red Hat to track the issue, ensuring that any applicable feature
addition is included in all releases and is not dropped from a future update
or major release.

Note You need to log in before you can comment on or make changes to this bug.